      IMPLICIT NONE
C
C     Functions used:
C
      INTEGER TAU_CALL
      INTEGER ICH_LEN
C
C     Local variables
C
      CHARACTER COMMAND*256        ! Figaro command being executed.
      INTEGER   INVOKE             ! Used to invoke a function.
      INTEGER   LENGTH             ! Number of significant chars in COMMAND.
C
C     Construct the full command, and then execute it as if it were a 
C     callable Figaro command. Note that we have to get the command in two
C     parts, first the program name, then the rest of the command.
C
      CALL FIGSYS_PROG(COMMAND)
      LENGTH=ICH_LEN(COMMAND)
      CALL FIGSYS_COMMAND(COMMAND(LENGTH+2:))
      INVOKE=TAU_CALL(COMMAND)  ! changed JRL 10/02/94
C
C     And that's it.
C
      END
