Component in HDS file           Tons Keyword


.TELESCOPE .NAME      
           .STATION
           .SCALE          
           .FOCNUM         
           .FOCLEN

.TAURUS    .VERSION              TAU_TYPE     

.COLLIMATOR.FOCNUM                
           .FOCLEN                

.ETALON    .NAME      
           .COATING
           .NOMGAP                

.CAMERA    .FOCNUM         
           .FOCLEN               CAMERA_FOCUS

.DETECTOR  .NAME

.MASK .RUNn   .IMAGE                NAME_MSK
              .SEPARATION           MASK_DIST
              .PIXSIZE_X
              .PIXSIZE_Y
              .ELLFAC

.CAL .RUNn    .IMAGE               NAME_CAL
              .WAVE                WAVE_CAL
              .ZSTEP               ZSTEP_CAL
              .RVF                 Array pointed to by NAME_RVF
              .XCEN                XCEN_CAL
              .YCEN                YCEN_CAL
              .ELLIPT              ELLIPT_CAL
              .FSR                 FSR
              .MOMS                NDF pointed to by NAME_MOM
              .GAP                 GAP
              .CEN_PHASE           CEN_PHASE
              .FIELD               NDF pointed to by NAME_FLD           
              .RESIDUALS           NDF pointed to by NAME_RES
 
.RING .RUNn   .IMAGE               NAME
              .WAVE                WAVE_RNG
              .XCEN                XCEN_RNG
              .YCEN                YCEN_RNG
              .RADIUS              RADIUS
              .ELLIPT              ELLIPT_RNG
              .ERROR               ERROR
              .RES_FACTOR          RES_FACTOR

.OBS .RUNn    .IMAGE               NAME_OBS
              .WAVE                WAVE_OBS
              .ZSTEP               ZSTEP_OBS
              .RING_PRE            ~RNG_PRE
              .RING_POST           ~RNG_POST
              .FREE_SHIFT          FREE_SHIFT
              .XCEN                XCEN_OBS
              .YCEN                YCEN_OBS
              .ELLIPT              ELLIPT_OBS
              .MULTIPLIER          MULTIPLIER
              .RES_FACTOR          RES_FACTOR
              .WAVE_START          WAVE_START
              .WAVE_INC            WAVE_INC



I have not included filenames in the structure... these are better 
obtained using the DSA INPUT and OUTPUT routines I guess ?                 

Instead of numbering the OBS and RING structures 1 to n, it would be
possible to number them with the run number... would that be better ?

In the HDS system, RING_PRE and RING_POST refer to the index numbers
of the pre and post files, whereas the TORERO system referred to the
filenames.




